<?php
  include_once('background.php');
  include_once('htmlfuncs.php');
  
  function CurrentPage($Start, $MaxPerPage)
  {
    $CurrentPage = floor($Start / $MaxPerPage) + 1;
    
    return $CurrentPage;
  }
  
  function MinPage($CurrentPage, $Start, $Total, $MaxPerPage)
  {
    $MinPage = $CurrentPage - PageSpread();
    if ($MinPage < 1)
    {
      $MinPage = 1;
    }
    
    return $MinPage;
  }
  
  function MaxPage($CurrentPage, $Start, $Total, $MaxPerPage)
  {
    if ($Start + PageSpread() >= $Total)
    {
      $MaxPage = $CurrentPage;
    }
    else
    {
      $MaxPage = floor(($Total - $Start) / $MaxPerPage) + 1;
      if ($MaxPage - PageSpread() >= $CurrentPage)
      {
        $MaxPage = $CurrentPage + PageSpread();
      }
    }
    return $MaxPage + 1;
  }  
  
  function PageMenu($Query, $Site, $Start, $Total, $MaxPerPage)
  {
    $CurrentPage = CurrentPage($Start, $MaxPerPage);

    $Site = GetParam("Site", "");
     
    $Result = "<table align=\"center\"><tr><td align=\"center\">".Font("Arial", 2, "Page", 0)."</td></tr></table><table align=\"center\"><tr>";
     
    for ($i = MinPage($CurrentPage, $Start, $Total, $MaxPerPage); $i < MaxPage($CurrentPage, $Start, $Total, $MaxPerPage + 1); $i++)
    {
      $Result .= "<td>";
      if ($i == $CurrentPage)
      {
        $Result .= "<b><u>";
      }
      $Result .= href($i, "index.php?Query=".$Query."&Site=".$Site."&Start=".(($i-1)*$MaxPerPage));
      if ($i == $CurrentPage)
      {
        $Result .= "</u></b>";
      }
      $Result .= "</td>";
    }
    
    $Result .= "</tr></table>";

    return $Result;
  }
?>